Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80905 - Install crashes when loading vgscan stuff
Summary: Install crashes when loading vgscan stuff
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-02 04:13 UTC by Roger Billau
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 18:01:25 UTC


Attachments (Terms of Use)

Description Roger Billau 2003-01-02 04:13:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in 
partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Local variables in innermost frame:
rc: 24320


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of 
<gui.InstallInterface instance at 0x867a9d4>>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 8
2.
3.
    

Actual Results:  Error message see above discription

Expected Results:  Red hat install with out problems

Additional info:

Comment 1 Matt Wilson 2003-01-02 13:52:22 UTC
please attach the full error crash dump (save to floppy)


Comment 2 Michael Fulbright 2003-01-27 18:01:25 UTC
Closing due to inactivity - please reopen if you have additional information to
add to the report.


Note You need to log in before you can comment on or make changes to this bug.